# helm
#
# deploys helm charts on k8s via helmfile

start-helm:
	@- echo "\n### starting deployment with helmfile"
	@- echo "\n### setting kubernetes context to $(K8S_CONTEXT)"
	@- kubectl config use-context $(K8S_CONTEXT)

	@- echo "\n### generating imagePullSecrets"
	@- imagePullSecrets.sh

	@- echo "\n### deploying helm chart"
	@- helmfile --file helmfile.yaml apply --suppress-secrets

pull-helm:
# nop